> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Ar aging report

> Ar aging report

### Query parameters

<ParamField query="customer_id" type="string" />

<ParamField query="overdue_only" type="boolean" />

<ParamField query="limit" type="integer (int32)" />

<ParamField query="offset" type="integer (int32)" />

### Responses

<ResponseField name="200" type="ArCustomerAgingListResponse" />

<ResponseField name="400" type="ErrorBody" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.stateset.com/api/v1/ar/aging/customers' \
    --header 'Authorization: Bearer YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "customers": [
      {
        "current": "string",
        "customer_id": "string",
        "customer_name": null,
        "days_1_30": "string",
        "days_31_60": "string",
        "days_61_90": "string",
        "days_over_90": "string",
        "invoice_count": 1,
        "total_outstanding": "string"
      }
    ],
    "total": 1
  }
  ```
</ResponseExample>
